Subject: Re: [PATCH 2/2] xdp: adjust xdp redirect tracepoint to include return error code

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 18 Aug 2017 14:29:46 +0200

On Thu, 17 Aug 2017 12:43:18 -0700
John Fastabend <[email-masked]> wrote:

> >>> @@ -2532,12 +2535,14 @@ int xdp_do_redirect(struct net_device *dev, struct xdp_buff *xdp,
> >>>  	ri->map = NULL;
> >>>  	if (unlikely(!fwd)) {
> >>>  		bpf_warn_invalid_xdp_redirect(index);  
> 
> I think we should drop the warn_invalid now that we have a tracepoint.
> The tracepoint is much nicer for debugging vs a warning for what might
> be a valid case depending on xdp program.

I agree.  I'll do that in a follow up patch. I'll likely remove the
bpf_warn_invalid_xdp_redirect() function completely.

We also have bpf_warn_invalid_xdp_action() but that might be relevant
to keep around(?).

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer